<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.2
*	@date		2011-08-31
*	@author		Ruud 
*	@package	Websitebaker - Modul: 404 redirect
*
**/

// v0.2 - changed pagelist so it will be in order of the normal WB pagetree
function build_pagelist($parent, $this_page) {
      global $database, $links;
      $iterated_parents = array(); // keep count of already iterated parents to prevent duplicates
 
      $table_pages = TABLE_PREFIX."pages";
      if ( $query = $database->query("SELECT link, menu_title, page_title, page_id, level 
            FROM ".$table_pages." 
            WHERE parent = ".$parent." 
            ORDER BY level, position ASC")) {
            while($res = $query->fetchRow()) {
                  if ($res['page_id'] != $this_page) {
                        $links[$res['page_id']] = $res['page_id'].'|'.str_repeat("  -  ",$res['level']).$res['menu_title'].' ('.$res['page_title'].')';
                  } 
                  if (!in_array($res['page_id'], $iterated_parents)) {
                        build_pagelist($res['page_id'], $this_page);
                        $iterated_parents[] = $res['page_id'];
                  }
            }
      }
}
 
 
function msg($msg_id = NULL) {
	global $MOD_404;
	if (isset($MOD_404[$msg_id])) 
		echo $MOD_404[$msg_id];
	else
		echo '<span style="color:red;">'.$msg_id.'</span>';
}
?>