<?php
/**
*	This module is free software. You can redistribute it and/or modify it 
*	under the terms of the GNU General Public License  - version 2 or later, 
*	as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.
*
*	This module is distributed in the hope that it will be useful, 
*	but WITHOUT ANY WARRANTY; without even the implied warranty of 
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
*	GNU General Public License for more details.
*
*	@version	0.1
*	@date		2011-03-22
*	@author		Ruud 
*	@package	Websitebaker - Modul: 404 redirect
*
**/

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

// Look for language file
require_once(WB_PATH.'/modules/mod404/languages/EN.php');
if(file_exists(WB_PATH.'/modules/mod404/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/mod404/languages/'.LANGUAGE.'.php');
}
require_once ('functions.php');
if (!isset($links)) {
	$links = array();
	build_pagelist(0,$page_id);
}
$sel = ' selected';

$wrong = array();
$result = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_404");
if ($result && $result->numRows() > 0) {
	while($row = $result->fetchRow()){
		$wrong[$row['404_id']] = $row['404_right'].'|'.$row['404_wrong'];
	}
}
$link = $database->get_one("SELECT link FROM ".TABLE_PREFIX."pages WHERE `page_id` = '$page_id'");

?>  
	<hr><h2><?php msg("TXT_TITLE") ?></h2>
	<fieldset><legend style="padding:5px; border:1px solid black; background: #ff7777;"><?php msg("TXT_LEGEND") ?></legend><br/>ErrorDocument 404 <?php echo PAGES_DIRECTORY.$link.PAGE_EXTENSION ?><br/><br/></fieldset>	
	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
	<table class="mod_404_table" cellpadding="2" cellspacing="2" border="0" width="100%">
		<tr>
			<td valign="top" width="60%"><strong><?php msg("TXT_ERRORURL") ?></strong></td>
			<td valign="top" width="30%"><strong><?php msg("TXT_REDIRPAGE") ?></strong></td>
			<td valign="top">&nbsp;</td>
		</tr>
		<?php foreach ($wrong as $id => $value) { 
			$d = explode('|',$value,2);
		?>
		<tr>
			<form name="edit" action="<?php echo WB_URL; ?>/modules/mod404/save.php" method="post">
			<input type="hidden" name="page_id" value="<?php echo $page_id ?>" />
			<input type="hidden" name="id" value="<?php echo $id ?>" />
			<td valign="top"><input style="width:95%;" type="text" name="wrong" value="<?php echo $d[1]; ?>"/></td>
			<td valign="top">
				<select name="redir_id" style="font-family:monospace; width:95%;" />
				<option value="0"<?php echo $d[0]=='0' ? $sel : '' ?>><?php msg("TXT_SELECT") ?></option>
				<?php foreach($links AS $li) {
					$option_link = explode('|',$li);
					$disabled = $option_link[0] ? '':' disabled';
					echo "<option $disabled value=\"".$option_link[0]."\" ".($d[0]==$option_link[0] ? $sel : '').">$option_link[1]</option>\n";
				} ?>
				</select>
			</td>
			<td valign="top"><input type="submit" value="<?php msg("TXT_UPDATE") ?>"/></td>
			</form>
		</tr>
		<?php } ?>
		<tr>
			<td valign="top"><strong><?php msg("TXT_NEW") ?></strong></td>
			<td valign="top">&nbsp;</td>
			<td valign="top">&nbsp;</td>
		</tr>
	
		<tr>
			<form name="add" action="<?php echo WB_URL; ?>/modules/mod404/save.php" method="post">
			<input type="hidden" name="page_id" value="<?php echo $page_id ?>" />
			<input type="hidden" name="id" value="0" />
			<td valign="top"><input style="width:95%;" type="text" name="wrong" value=""/></td>
			<td valign="top">
				<select name="redir_id" style="font-family:monospace; width:95%;" />
				<option value="0"><?php msg("TXT_SELECT") ?></option>
				<?php foreach($links AS $li) {
					$option_link = explode('|',$li);
					echo "<option value=\"".$option_link[0]."\">$option_link[1]</option>\n";
				} ?>
				</select>
			</td>
			<td valign="top"><input type="submit" value="<?php msg("TXT_ADDNEW") ?>"/></td>
			</form>
		</tr>

		</table>

		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td align="left">
				<input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/index.php'; return false;" style="width: 100px; margin-top: 5px;" />
			</td>
		</tr>
	</table>
	</form>
	<hr>

